"Fossies" - the Fresh Open Source Software Archive

Member "uriparser-0.9.7/doc/release.sh.in" (5 Oct 2022, 702 Bytes) of package /linux/www/uriparser-0.9.7.tar.xz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Bash source code syntax highlighting (style: standard) with prefixed line numbers and code folding option. Alternatively you can here view or download the uninterpreted source code file.

    1 #! /usr/bin/env bash
    2 (
    3 cd $(dirname $(which "$0")) || exit 1
    4 
    5 distdir="@PROJECT_NAME@-@PROJECT_VERSION@-doc"
    6 [ -z $MAKE ] && MAKE=make
    7 
    8 # Clean up
    9 rm -Rf "${distdir}" "${distdir}.zip"
   10 
   11 # Generate
   12 "${MAKE}" -C .. doc || exit 1
   13 
   14 # Copy
   15 mkdir -p "${distdir}/html/search"
   16 cp \
   17     html/*.css \
   18     html/*.html \
   19     html/*.js \
   20     html/*.md5 \
   21     html/*.png \
   22     \
   23     "${distdir}/html/" || exit 1
   24 cp -R html/search/ "${distdir}/html/" || exit 1
   25 
   26 # Package
   27 zip -r "${distdir}.zip" "${distdir}" || exit 1
   28 
   29 cat <<INFO
   30 =================================================
   31 ${distdir} archives ready for distribution:
   32 ${distdir}.zip
   33 =================================================
   34 
   35 INFO
   36 
   37 # Clean up
   38 rm -Rf "${distdir}"
   39 
   40 )
   41 exit $?